diff -rNu Encode-JP-Mobile-0.05.org/MANIFEST Encode-JP-Mobile-0.05/MANIFEST
--- Encode-JP-Mobile-0.05.org/MANIFEST	2007-06-10 12:42:42.000000000 +0900
+++ Encode-JP-Mobile-0.05/MANIFEST	2007-06-10 07:47:55.000000000 +0900
@@ -10,4 +10,5 @@
 ucm/shift_jis-airedge.ucm
 ucm/shift_jis-imode.ucm
 ucm/shift_jis-kddi.ucm
+ucm/shift_jis-vodafone-private.ucm
 META.yml                                 Module meta-data (added by MakeMaker)
diff -rNu Encode-JP-Mobile-0.05.org/lib/Encode/JP/Mobile/Vodafone.pm Encode-JP-Mobile-0.05/lib/Encode/JP/Mobile/Vodafone.pm
--- Encode-JP-Mobile-0.05.org/lib/Encode/JP/Mobile/Vodafone.pm	2007-06-10 12:42:42.000000000 +0900
+++ Encode-JP-Mobile-0.05/lib/Encode/JP/Mobile/Vodafone.pm	2007-06-10 09:27:49.000000000 +0900
@@ -29,6 +29,7 @@
 sub encode($$;$) {
     my($self, $str, $check) = @_;
     my $res = '';
+    $str = Encode::decode("shift_jis-vodafone-private", Encode::encode("shift_jis-vodafone-private", $str, $check), $check);
     $str =~ s{($InRange+)|($OutRange+)}{
         my $in = defined $1;
         my $m  = $in ? $1 : $2;
diff -rNu Encode-JP-Mobile-0.05.org/lib/Encode/JP/Mobile.pm Encode-JP-Mobile-0.05/lib/Encode/JP/Mobile.pm
--- Encode-JP-Mobile-0.05.org/lib/Encode/JP/Mobile.pm	2007-06-10 12:42:42.000000000 +0900
+++ Encode-JP-Mobile-0.05/lib/Encode/JP/Mobile.pm	2007-06-10 07:45:23.000000000 +0900
@@ -9,6 +9,7 @@
 define_alias('shift_jis-docomo' => 'shift_jis-imode');
 define_alias('shift_jis-ezweb' => 'shift_jis-kddi');
 define_alias('shift_jis-airh' => 'shift_jis-airedge');
+define_alias('shift_jis-vodafone-private' => 'shift_jis-softbank-private');
 
 use Encode::JP::Mobile::Vodafone;
 
diff -rNu Encode-JP-Mobile-0.05.org/t/emoji_convert_v-p2e.t Encode-JP-Mobile-0.05/t/emoji_convert_v-p2e.t
--- Encode-JP-Mobile-0.05.org/t/emoji_convert_v-p2e.t	1970-01-01 09:00:00.000000000 +0900
+++ Encode-JP-Mobile-0.05/t/emoji_convert_v-p2e.t	2007-06-10 12:27:56.000000000 +0900
@@ -0,0 +1,22 @@
+use strict;
+use utf8;
+use Test::More 'no_plan';
+use Encode;
+use Encode::JP::Mobile;
+
+sub test_rt {
+    my ($name, $x, $y) = @_;
+
+    is encode($x->{enc}, decode($y->{enc}, $y->{bytes})), $x->{bytes}, $name;
+    is encode($y->{enc}, decode($x->{enc}, $x->{bytes})), $y->{bytes}, $name;
+}
+
+test_rt(
+    'v2e',
+    { enc => "shift_jis-kddi", bytes => "\xF6\x60" },
+    {
+        enc   => 'shift_jis-vodafone-private',
+        bytes => "\xF9\x8B"
+    },
+);
+
diff -rNu Encode-JP-Mobile-0.05.org/t/emoji_convert_v-p2i.t Encode-JP-Mobile-0.05/t/emoji_convert_v-p2i.t
--- Encode-JP-Mobile-0.05.org/t/emoji_convert_v-p2i.t	1970-01-01 09:00:00.000000000 +0900
+++ Encode-JP-Mobile-0.05/t/emoji_convert_v-p2i.t	2007-06-10 08:17:00.000000000 +0900
@@ -0,0 +1,22 @@
+use strict;
+use utf8;
+use Test::More 'no_plan';
+use Encode;
+use Encode::JP::Mobile;
+
+sub test_rt {
+    my ($name, $x, $y) = @_;
+
+    is encode($x->{enc}, decode($y->{enc}, $y->{bytes})), $x->{bytes}, $name;
+    is encode($y->{enc}, decode($x->{enc}, $x->{bytes})), $y->{bytes}, $name;
+}
+
+test_rt(
+    'v2i',
+    { enc => "shift_jis-imode", bytes => "\xF8\x9F" },
+    {
+        enc   => 'shift_jis-vodafone-private',
+        bytes => "\xF9\x8B"
+    },
+);
+
diff -rNu Encode-JP-Mobile-0.05.org/t/emoji_convert_v2e.t Encode-JP-Mobile-0.05/t/emoji_convert_v2e.t
--- Encode-JP-Mobile-0.05.org/t/emoji_convert_v2e.t	1970-01-01 09:00:00.000000000 +0900
+++ Encode-JP-Mobile-0.05/t/emoji_convert_v2e.t	2007-06-10 12:29:07.000000000 +0900
@@ -0,0 +1,22 @@
+use strict;
+use utf8;
+use Test::More 'no_plan';
+use Encode;
+use Encode::JP::Mobile;
+
+sub test_rt {
+    my ($name, $x, $y) = @_;
+
+    is encode($x->{enc}, decode($y->{enc}, $y->{bytes})), $x->{bytes}, $name;
+    is encode($y->{enc}, decode($x->{enc}, $x->{bytes})), $y->{bytes}, $name;
+}
+
+test_rt(
+    'v2i',
+    { enc => "shift_jis-kddi", bytes => "\xF6\x60" },
+    {
+        enc   => 'shift_jis-vodafone',
+        bytes => "\x1b\x24Gj\x0f"
+    },
+);
+
diff -rNu Encode-JP-Mobile-0.05.org/t/emoji_convert_v2i.t Encode-JP-Mobile-0.05/t/emoji_convert_v2i.t
--- Encode-JP-Mobile-0.05.org/t/emoji_convert_v2i.t	1970-01-01 09:00:00.000000000 +0900
+++ Encode-JP-Mobile-0.05/t/emoji_convert_v2i.t	2007-06-10 08:27:27.000000000 +0900
@@ -0,0 +1,22 @@
+use strict;
+use utf8;
+use Test::More 'no_plan';
+use Encode;
+use Encode::JP::Mobile;
+
+sub test_rt {
+    my ($name, $x, $y) = @_;
+
+    is encode($x->{enc}, decode($y->{enc}, $y->{bytes})), $x->{bytes}, $name;
+    is encode($y->{enc}, decode($x->{enc}, $x->{bytes})), $y->{bytes}, $name;
+}
+
+test_rt(
+    'v2i',
+    { enc => "shift_jis-imode", bytes => "\xF8\x9F" },
+    {
+        enc   => 'shift_jis-vodafone',
+        bytes => "\x1b\x24Gj\x0f"
+    },
+);
+
diff -rNu Encode-JP-Mobile-0.05.org/ucm/shift_jis-imode.ucm Encode-JP-Mobile-0.05/ucm/shift_jis-imode.ucm
--- Encode-JP-Mobile-0.05.org/ucm/shift_jis-imode.ucm	2007-06-10 12:42:42.000000000 +0900
+++ Encode-JP-Mobile-0.05/ucm/shift_jis-imode.ucm	2007-06-10 07:41:50.000000000 +0900
@@ -9887,6 +9887,271 @@
 <UFFE4> \xFA\x55 |0 # FULLWIDTH BROKEN BAR
 <UFFE4> \xEE\xFA |3 # FULLWIDTH BROKEN BAR
 <UFFE5> \x81\x8F |0 # FULLWIDTH YEN SIGN
+# below are Vodafone => i-mode pictogram convert map.
+<UE001> \xF9\x95 |0 # Vodafone Pictogram
+<UE002> \xF9\x95 |0 # Vodafone Pictogram
+<UE003> \xF9\x9E |0 # Vodafone Pictogram
+<UE004> \xF9\x95 |0 # Vodafone Pictogram
+<UE005> \xF9\x95 |0 # Vodafone Pictogram
+<UE006> \xF9\xB3 |0 # Vodafone Pictogram
+<UE007> \xF8\xFA |0 # Vodafone Pictogram
+<UE008> \xF8\xE2 |0 # Vodafone Pictogram
+<UE009> \xF8\xE8 |0 # Vodafone Pictogram
+<UE00A> \xF8\xE9 |0 # Vodafone Pictogram
+<UE00B> \xF9\x74 |0 # Vodafone Pictogram
+<UE00C> \xF9\xBB |0 # Vodafone Pictogram
+<UE00D> \xF9\xA2 |0 # Vodafone Pictogram
+<UE00E> \xF9\xCC |0 # Vodafone Pictogram
+<UE010> \xF8\xF4 |0 # Vodafone Pictogram
+<UE011> \xF8\xF5 |0 # Vodafone Pictogram
+<UE012> \xF8\xF6 |0 # Vodafone Pictogram
+<UE013> \xF8\xB8 |0 # Vodafone Pictogram
+<UE014> \xF8\xB5 |0 # Vodafone Pictogram
+<UE015> \xF8\xB6 |0 # Vodafone Pictogram
+<UE016> \xF8\xB4 |0 # Vodafone Pictogram
+<UE017> \xF9\xB7 |0 # Vodafone Pictogram
+<UE018> \xF8\xB7 |0 # Vodafone Pictogram
+<UE019> \xF9\xF6 |0 # Vodafone Pictogram
+<UE01A> \xF9\xF9 |0 # Vodafone Pictogram
+<UE01B> \xF8\xBF |0 # Vodafone Pictogram
+<UE01C> \xF9\x47 |0 # Vodafone Pictogram
+<UE01D> \xF8\xC3 |0 # Vodafone Pictogram
+<UE01E> \xF8\xBC |0 # Vodafone Pictogram
+<UE01F> \xF8\xBE |0 # Vodafone Pictogram
+<UE021> \xF9\xA7 |0 # Vodafone Pictogram
+<UE022> \xF9\x91 |0 # Vodafone Pictogram
+<UE023> \xF9\x93 |0 # Vodafone Pictogram
+<UE024> \xF9\x5E |0 # Vodafone Pictogram
+<UE025> \xF9\x5E |0 # Vodafone Pictogram
+<UE026> \xF9\x5E |0 # Vodafone Pictogram
+<UE027> \xF9\x5E |0 # Vodafone Pictogram
+<UE028> \xF9\x5E |0 # Vodafone Pictogram
+<UE029> \xF9\x5E |0 # Vodafone Pictogram
+<UE02A> \xF9\x5E |0 # Vodafone Pictogram
+<UE02B> \xF9\x5E |0 # Vodafone Pictogram
+<UE02C> \xF9\x5E |0 # Vodafone Pictogram
+<UE02D> \xF9\x5E |0 # Vodafone Pictogram
+<UE02E> \xF9\x5E |0 # Vodafone Pictogram
+<UE02F> \xF9\x5E |0 # Vodafone Pictogram
+<UE030> \xF9\xED |0 # Vodafone Pictogram
+<UE031> \xF9\xBF |0 # Vodafone Pictogram
+<UE033> \xF9\x48 |0 # Vodafone Pictogram
+<UE034> \xF9\xC0 |0 # Vodafone Pictogram
+<UE035> \xF9\xC0 |0 # Vodafone Pictogram
+<UE036> \xF8\xC4 |0 # Vodafone Pictogram
+<UE038> \xF8\xC5 |0 # Vodafone Pictogram
+<UE03A> \xF8\xCC |0 # Vodafone Pictogram
+<UE03B> \xF9\xE5 |0 # Vodafone Pictogram
+<UE03C> \xF8\xD7 |0 # Vodafone Pictogram
+<UE03D> \xF8\xD8 |0 # Vodafone Pictogram
+<UE03E> \xF9\x9B |0 # Vodafone Pictogram
+<UE03F> \xF9\x7D |0 # Vodafone Pictogram
+<UE043> \xF8\xD0 |0 # Vodafone Pictogram
+<UE044> \xF8\xD2 |0 # Vodafone Pictogram
+<UE045> \xF8\xD1 |0 # Vodafone Pictogram
+<UE046> \xF9\xEF |0 # Vodafone Pictogram
+<UE047> \xF8\xD3 |0 # Vodafone Pictogram
+<UE048> \xF8\xA2 |0 # Vodafone Pictogram
+<UE049> \xF8\xA0 |0 # Vodafone Pictogram
+<UE04A> \xF8\x9F |0 # Vodafone Pictogram
+<UE04B> \xF8\xA1 |0 # Vodafone Pictogram
+<UE04C> \xF9\x43 |0 # Vodafone Pictogram
+<UE04D> \xF8\x9F |0 # Vodafone Pictogram
+<UE04F> \xF9\x46 |0 # Vodafone Pictogram
+<UE052> \xF9\x45 |0 # Vodafone Pictogram
+<UE055> \xF9\xF5 |0 # Vodafone Pictogram
+<UE056> \xF9\x95 |0 # Vodafone Pictogram
+<UE057> \xF9\x95 |0 # Vodafone Pictogram
+<UE058> \xF9\x97 |0 # Vodafone Pictogram
+<UE059> \xF9\x96 |0 # Vodafone Pictogram
+<UE101> \xF8\xC6 |0 # Vodafone Pictogram
+<UE102> \xF8\xC6 |0 # Vodafone Pictogram
+<UE103> \xF9\x73 |0 # Vodafone Pictogram
+<UE104> \xF9\x72 |0 # Vodafone Pictogram
+<UE105> \xF9\xCD |0 # Vodafone Pictogram
+<UE106> \xF9\xCB |0 # Vodafone Pictogram
+<UE107> \xF9\xFC |0 # Vodafone Pictogram
+<UE108> \xF9\xC8 |0 # Vodafone Pictogram
+<UE10B> \xF9\xFA |0 # Vodafone Pictogram
+<UE10E> \xF9\xBF |0 # Vodafone Pictogram
+<UE10F> \xF9\xA0 |0 # Vodafone Pictogram
+<UE110> \xF9\xE6 |0 # Vodafone Pictogram
+<UE111> \xF9\x9E |0 # Vodafone Pictogram
+<UE112> \xF8\xE6 |0 # Vodafone Pictogram
+<UE114> \xF9\x81 |0 # Vodafone Pictogram
+<UE115> \xF9\xD8 |0 # Vodafone Pictogram
+<UE118> \xF9\xEC |0 # Vodafone Pictogram
+<UE11E> \xF8\xE3 |0 # Vodafone Pictogram
+<UE11F> \xF9\x56 |0 # Vodafone Pictogram
+<UE120> \xF8\xD4 |0 # Vodafone Pictogram
+<UE123> \xF9\x9C |0 # Vodafone Pictogram
+<UE125> \xF8\xDF |0 # Vodafone Pictogram
+<UE126> \xF8\xED |0 # Vodafone Pictogram
+<UE127> \xF8\xED |0 # Vodafone Pictogram
+<UE12A> \xF8\xEB |0 # Vodafone Pictogram
+<UE12F> \xF9\xBA |0 # Vodafone Pictogram
+<UE132> \xF8\xBA |0 # Vodafone Pictogram
+<UE134> \xF9\xF9 |0 # Vodafone Pictogram
+<UE135> \xF9\x47 |0 # Vodafone Pictogram
+<UE136> \xF9\xC2 |0 # Vodafone Pictogram
+<UE13C> \xF9\xA6 |0 # Vodafone Pictogram
+<UE13D> \xF8\xA3 |0 # Vodafone Pictogram
+<UE13E> \xF8\xD5 |0 # Vodafone Pictogram
+<UE13F> \xF9\x9C |0 # Vodafone Pictogram
+<UE140> \xF8\xCF |0 # Vodafone Pictogram
+<UE144> \xF9\x7D |0 # Vodafone Pictogram
+<UE145> \xF9\x7D |0 # Vodafone Pictogram
+<UE148> \xF8\xE4 |0 # Vodafone Pictogram
+<UE14D> \xF8\xC8 |0 # Vodafone Pictogram
+<UE14E> \xF8\xCE |0 # Vodafone Pictogram
+<UE14F> \xF8\xCD |0 # Vodafone Pictogram
+<UE151> \xF8\xCF |0 # Vodafone Pictogram
+<UE153> \xF8\xC6 |0 # Vodafone Pictogram
+<UE154> \xF8\xC9 |0 # Vodafone Pictogram
+<UE155> \xF8\xC7 |0 # Vodafone Pictogram
+<UE156> \xF8\xCB |0 # Vodafone Pictogram
+<UE157> \xF9\xE3 |0 # Vodafone Pictogram
+<UE158> \xF8\xCA |0 # Vodafone Pictogram
+<UE159> \xF8\xC1 |0 # Vodafone Pictogram
+<UE15A> \xF8\xBF |0 # Vodafone Pictogram
+<UE201> \xF9\xD8 |0 # Vodafone Pictogram
+<UE202> \xF8\xC2 |0 # Vodafone Pictogram
+<UE204> \xF9\x9D |0 # Vodafone Pictogram
+<UE205> \xF9\x9D |0 # Vodafone Pictogram
+<UE206> \xF9\x9D |0 # Vodafone Pictogram
+<UE208> \xF8\xE1 |0 # Vodafone Pictogram
+<UE20A> \xF8\xFC |0 # Vodafone Pictogram
+<UE20C> \xF8\xEE |0 # Vodafone Pictogram
+<UE20D> \xF8\xF0 |0 # Vodafone Pictogram
+<UE20E> \xF8\xEF |0 # Vodafone Pictogram
+<UE20F> \xF8\xF1 |0 # Vodafone Pictogram
+<UE210> \xF9\x85 |0 # Vodafone Pictogram
+<UE211> \xF9\x84 |0 # Vodafone Pictogram
+<UE212> \xF9\x82 |0 # Vodafone Pictogram
+<UE219> \xF9\x40 |0 # Vodafone Pictogram
+<UE21A> \xF9\x40 |0 # Vodafone Pictogram
+<UE21B> \xF9\x40 |0 # Vodafone Pictogram
+<UE21C> \xF9\x87 |0 # Vodafone Pictogram
+<UE21D> \xF9\x88 |0 # Vodafone Pictogram
+<UE21E> \xF9\x89 |0 # Vodafone Pictogram
+<UE21F> \xF9\x8A |0 # Vodafone Pictogram
+<UE220> \xF9\x8B |0 # Vodafone Pictogram
+<UE221> \xF9\x8C |0 # Vodafone Pictogram
+<UE222> \xF9\x8D |0 # Vodafone Pictogram
+<UE223> \xF9\x8E |0 # Vodafone Pictogram
+<UE224> \xF9\x8F |0 # Vodafone Pictogram
+<UE225> \xF9\x90 |0 # Vodafone Pictogram
+<UE229> \xF9\x7C |0 # Vodafone Pictogram
+<UE22A> \xF9\xE0 |0 # Vodafone Pictogram
+<UE22B> \xF9\xDE |0 # Vodafone Pictogram
+<UE236> \xF8\xD9 |0 # Vodafone Pictogram
+<UE237> \xF8\xF8 |0 # Vodafone Pictogram
+<UE238> \xF8\xF7 |0 # Vodafone Pictogram
+<UE239> \xF9\x49 |0 # Vodafone Pictogram
+<UE23F> \xF8\xA7 |0 # Vodafone Pictogram
+<UE240> \xF8\xA8 |0 # Vodafone Pictogram
+<UE241> \xF8\xA9 |0 # Vodafone Pictogram
+<UE242> \xF8\xAA |0 # Vodafone Pictogram
+<UE243> \xF8\xAB |0 # Vodafone Pictogram
+<UE244> \xF8\xAC |0 # Vodafone Pictogram
+<UE245> \xF8\xAD |0 # Vodafone Pictogram
+<UE246> \xF8\xAE |0 # Vodafone Pictogram
+<UE247> \xF8\xAF |0 # Vodafone Pictogram
+<UE248> \xF8\xB0 |0 # Vodafone Pictogram
+<UE249> \xF8\xB1 |0 # Vodafone Pictogram
+<UE24A> \xF8\xB2 |0 # Vodafone Pictogram
+<UE24D> \xF9\xB0 |0 # Vodafone Pictogram
+<UE24E> \xF9\xD6 |0 # Vodafone Pictogram
+<UE24F> \xF9\xDB |0 # Vodafone Pictogram
+<UE252> \xF9\xDC |0 # Vodafone Pictogram
+<UE301> \xF8\xEA |0 # Vodafone Pictogram
+<UE304> \xF9\xE8 |0 # Vodafone Pictogram
+<UE30A> \xF8\xDB |0 # Vodafone Pictogram
+<UE30B> \xF9\xF0 |0 # Vodafone Pictogram
+<UE30C> \xF8\xD3 |0 # Vodafone Pictogram
+<UE30E> \xF8\xE0 |0 # Vodafone Pictogram
+<UE311> \xF9\xA3 |0 # Vodafone Pictogram
+<UE313> \xF8\xD6 |0 # Vodafone Pictogram
+<UE314> \xF8\xE5 |0 # Vodafone Pictogram
+<UE315> \xF9\xD9 |0 # Vodafone Pictogram
+<UE31A> \xF8\xD5 |0 # Vodafone Pictogram
+<UE31C> \xF9\xB5 |0 # Vodafone Pictogram
+<UE31F> \xF8\xD6 |0 # Vodafone Pictogram
+<UE323> \xF8\xE3 |0 # Vodafone Pictogram
+<UE324> \xF9\x50 |0 # Vodafone Pictogram
+<UE325> \xF9\xB8 |0 # Vodafone Pictogram
+<UE326> \xF9\xA4 |0 # Vodafone Pictogram
+<UE327> \xF9\x91 |0 # Vodafone Pictogram
+<UE328> \xF9\x92 |0 # Vodafone Pictogram
+<UE329> \xF9\x91 |0 # Vodafone Pictogram
+<UE32A> \xF9\x91 |0 # Vodafone Pictogram
+<UE32B> \xF9\x91 |0 # Vodafone Pictogram
+<UE32C> \xF9\x91 |0 # Vodafone Pictogram
+<UE32D> \xF9\x91 |0 # Vodafone Pictogram
+<UE32E> \xF9\x9F |0 # Vodafone Pictogram
+<UE330> \xF9\xAD |0 # Vodafone Pictogram
+<UE331> \xF9\xAB |0 # Vodafone Pictogram
+<UE332> \xF9\x44 |0 # Vodafone Pictogram
+<UE334> \xF9\xA1 |0 # Vodafone Pictogram
+<UE337> \xF9\xA7 |0 # Vodafone Pictogram
+<UE338> \xF9\xC3 |0 # Vodafone Pictogram
+<UE339> \xF9\xF2 |0 # Vodafone Pictogram
+<UE33E> \xF9\xF1 |0 # Vodafone Pictogram
+<UE340> \xF9\xF1 |0 # Vodafone Pictogram
+<UE342> \xF9\xEE |0 # Vodafone Pictogram
+<UE345> \xF9\xEA |0 # Vodafone Pictogram
+<UE34B> \xF8\xE7 |0 # Vodafone Pictogram
+<UE401> \xF9\xC8 |0 # Vodafone Pictogram
+<UE402> \xF9\xD1 |0 # Vodafone Pictogram
+<UE403> \xF9\xC5 |0 # Vodafone Pictogram
+<UE404> \xF9\xF8 |0 # Vodafone Pictogram
+<UE405> \xF9\xCE |0 # Vodafone Pictogram
+<UE406> \xF9\xD0 |0 # Vodafone Pictogram
+<UE407> \xF9\x98 |0 # Vodafone Pictogram
+<UE408> \xF9\xA6 |0 # Vodafone Pictogram
+<UE409> \xF9\xCD |0 # Vodafone Pictogram
+<UE40A> \xF9\xC6 |0 # Vodafone Pictogram
+<UE40B> \xF9\xFC |0 # Vodafone Pictogram
+<UE40D> \xF9\xCF |0 # Vodafone Pictogram
+<UE40E> \xF9\xCA |0 # Vodafone Pictogram
+<UE40F> \xF9\xC8 |0 # Vodafone Pictogram
+<UE410> \xF9\x99 |0 # Vodafone Pictogram
+<UE411> \xF9\xD2 |0 # Vodafone Pictogram
+<UE413> \xF9\xD3 |0 # Vodafone Pictogram
+<UE414> \xF9\x95 |0 # Vodafone Pictogram
+<UE415> \xF9\x95 |0 # Vodafone Pictogram
+<UE416> \xF9\xC9 |0 # Vodafone Pictogram
+<UE417> \xF9\xCB |0 # Vodafone Pictogram
+<UE418> \xF9\xCB |0 # Vodafone Pictogram
+<UE419> \xF8\xF2 |0 # Vodafone Pictogram
+<UE41B> \xF8\xF3 |0 # Vodafone Pictogram
+<UE41C> \xF9\x9E |0 # Vodafone Pictogram
+<UE41E> \xF8\xF6 |0 # Vodafone Pictogram
+<UE420> \xF9\xB0 |0 # Vodafone Pictogram
+<UE421> \xF9\xA5 |0 # Vodafone Pictogram
+<UE422> \xF8\xF6 |0 # Vodafone Pictogram
+<UE423> \xF9\xD4 |0 # Vodafone Pictogram
+<UE424> \xF9\xB0 |0 # Vodafone Pictogram
+<UE425> \xF9\x92 |0 # Vodafone Pictogram
+<UE42A> \xF8\xB9 |0 # Vodafone Pictogram
+<UE42E> \xF8\xC0 |0 # Vodafone Pictogram
+<UE434> \xF8\xBD |0 # Vodafone Pictogram
+<UE435> \xF8\xBE |0 # Vodafone Pictogram
+<UE43C> \xF8\xA6 |0 # Vodafone Pictogram
+<UE43E> \xF9\xE4 |0 # Vodafone Pictogram
+<UE443> \xF8\xA4 |0 # Vodafone Pictogram
+<UE449> \xF8\x9F |0 # Vodafone Pictogram
+<UE44A> \xF8\x9F |0 # Vodafone Pictogram
+<UE44B> \xF9\x57 |0 # Vodafone Pictogram
+<UE502> \xF8\xDC |0 # Vodafone Pictogram
+<UE503> \xF8\xDD |0 # Vodafone Pictogram
+<UE507> \xF8\xD8 |0 # Vodafone Pictogram
+<UE521> \xF9\xF4 |0 # Vodafone Pictogram
+<UE522> \xF9\xF6 |0 # Vodafone Pictogram
+<UE523> \xF9\xF4 |0 # Vodafone Pictogram
+<UE52A> \xF9\x45 |0 # Vodafone Pictogram
+<UE536> \xF8\xF9 |0 # Vodafone Pictogram
+<UE537> \xF9\xD7 |0 # Vodafone Pictogram
 # below are KDDI => i-mode pictogram convert map.
 <UE469> \xF8\xA4 |0 # KDDI/AU Pictogram
 <UE46A> \xF8\xCE |0 # KDDI/AU Pictogram
